Bug 257009 - security/py-gssapi: Update to 1.6.14
Summary: security/py-gssapi: Update to 1.6.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL: https://github.com/pythongssapi/pytho...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-05 23:21 UTC by John W. O'Brien
Modified: 2021-07-14 12:37 UTC (History)
3 users (show)

See Also:
john: maintainer-feedback+
tcberner: merge-quarterly+


Attachments
security/py-gssapi: Update to 1.6.14 (2.98 KB, patch)
2021-07-05 23:21 UTC, John W. O'Brien
john: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2021-07-05 23:21:44 UTC
Created attachment 226254 [details]
security/py-gssapi: Update to 1.6.14

Changelog
=========

*   Update to 1.6.14


QA
==

portlint: OK
poudriere: OK -- testport on 12.2R amd64 w/py36, py37, py38 (default), py39
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-06 03:02:12 UTC
^Triage: 0.9 through .14 are bugfix only releases, including several FreeBSD specific changes, incl:

 - Fix build on FreeBSD
 - On FreeBSD, prefer GSSAPI from ports if available

In particular, the latter may affect build/linking for various values of USES=gssapi. These should be explicitly tested to ensure the expected gssapi is linked against, and autodetection doesn't influence the build. gssapi ports are notoriously tricky.
Comment 2 John W. O'Brien 2021-07-06 03:10:10 UTC
poudriere: OK -- testport on 12.2R amd64 (py36, py37, py38, py39) dot product (gssbase, gssheimdal, gssmit)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-06 03:11:23 UTC
(In reply to John W. O'Brien from comment #2)

Nice, thanks John
Comment 4 Tobias C. Berner freebsd_committer 2021-07-14 12:37:49 UTC
Committed, and MDF-ed.

mfg Tobias
Comment 5 commit-hook freebsd_committer 2021-07-14 12:37:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=681050945814ea6d4330bf6227781b4673cfd66b

commit 681050945814ea6d4330bf6227781b4673cfd66b
Author:     John W. O'Brien <john@saltant.com>
AuthorDate: 2021-07-14 12:34:52 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-14 12:36:42 +0000

    security/py-gssapi: Update to 1.6.14

    PR:             257009

 security/py-gssapi/Makefile                    | 11 +++++-----
 security/py-gssapi/distinfo                    |  6 +++---
 security/py-gssapi/files/patch-setup.py (gone) | 28 --------------------------
 3 files changed, 8 insertions(+), 37 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-07-14 12:37:55 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e1632363cd4d08ac173f1bfc0dd5fe9f0143d9b2

commit e1632363cd4d08ac173f1bfc0dd5fe9f0143d9b2
Author:     John W. O'Brien <john@saltant.com>
AuthorDate: 2021-07-14 12:34:52 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-14 12:37:16 +0000

    security/py-gssapi: Update to 1.6.14

    PR:             257009
    (cherry picked from commit 681050945814ea6d4330bf6227781b4673cfd66b)

 security/py-gssapi/Makefile                    | 11 +++++-----
 security/py-gssapi/distinfo                    |  6 +++---
 security/py-gssapi/files/patch-setup.py (gone) | 28 --------------------------
 3 files changed, 8 insertions(+), 37 deletions(-)